Get company transactions overview
curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/transactions/overview \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/transactions/overview"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/transactions/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"by_status": {
"PROCESSING": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"AUTHORIZED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"APPROVED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"REFUNDED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"PARTIALLY_REFUNDED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"PENDING_REFUND": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"CHARGEDBACK": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"WAITING_PAYMENT": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"AWAITING_3DS": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"REFUSED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"FAILED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"EXPIRED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"PENDING_CANCELLATION": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"CANCELLED": {
"count": 150,
"volume": 1500000,
"average": 10000
}
},
"daily_aggregation": [
{
"date": "2025-01-15",
"count": 10,
"volume": 100000
}
]
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Company Transactions
Get company transactions overview
Returns an overview of transactions for the authenticated company with aggregated statistics by status and a daily breakdown of successful transactions only (APPROVED, AUTHORIZED). Requires the transaction.list permission.
GET
/
v1
/
transactions
/
overview
Get company transactions overview
Authorizations
Company API key for authentication
Query Parameters
Start creation date (inclusive). Local calendar day in time_zone. Format is YYYY-MM-DD.
End creation date (inclusive). Local calendar day in time_zone. Format is YYYY-MM-DD. Must be later or equal to created_at_from. Max range is 90 days.
IANA time zone used to interpret dates and group by local day. Defaults to America/Sao_Paulo.
Response
Overview of company transactions
Overview of merchant transactions grouped by status with daily aggregation
Cancel a BOLEPIX transactionPay organization's own PIX or BOLEPIX transaction via QR code (Sandbox Only)
⌘I

